Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx.server
Class MBeanProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.jboss.net.jmx.server.MBeanProvider

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class MBeanProvider
extends org.apache.axis.providers.BasicProvider

Exposes mbeans as targets (pivot-handlers) of web-services. To deploy a particular mbean as a web-service, a deployment descriptor would look like:

MBeanProvider is able to recognize an `WsdlAwareHttpActionHandler` in its transport chain such that it will set the soap-action headers in the wsdl.

Version:
  $Revision: 1.23 $
Author:
  Christoph G. Jung
See Also:
  Serialized Form

Field Summary
`protected String` | `allowedMethodsOption` which methods are allowed to be exposed
`protected String` | `allowedReadAttributesOption` which attributes are allowed to be exposed
`protected String` | `allowedWriteAttributesOption` which attributes are allowed to be exposed
`protected Map` | `attributeData` stores meta-data about mbean
`protected Map` | `methodData`
`protected javax.management.ObjectName` | `name` the objectName which we are running against
`protected javax.management.MBeanServer` | `server` the server which we are tight to

Fields inherited from class org.apache.axis.providers.BasicProvider
`OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, options`

Constructor Summary
`MBeanProvider()` Constructor MBeanProvider

Method Summary
`protected javax.xml.namespace.QName` | `forName(Class clazz, org.apache.axis.encoding.TypeMapping tm)` resolve string-based jmx types
`protected Class` | `forName(String string, ClassLoader loader)` resolve string-based jmx types
`void` | `generateWSDL(org.apache.axis.MessageContext msgCtx)` generate wsdl document from meta-data
`void` | `initServiceDesc(org.apache.axis.handlers.soap.SOAPService service, org.apache.axis.MessageContext msgCtx)`
`void` | `invoke(org.apache.axis.MessageContext msgContext)` Invoke is called to do the actual work of the Handler object.
`void` | `undo(org.apache.axis.MessageContext msgContext)` TODO called when a fault occurs to 'undo' whatever 'invoke' did.

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected javax.management.MBeanServer server

  the server which we are tight to

### name

    protected javax.management.ObjectName name

  the objectName which we are running against

### attributeData

    protected Map attributeData

  stores meta-data about mbean

### methodData

    protected Map methodData

### allowedMethodsOption

    protected String allowedMethodsOption

  which methods are allowed to be exposed

### allowedReadAttributesOption

    protected String allowedReadAttributesOption

  which attributes are allowed to be exposed

### allowedWriteAttributesOption

    protected String allowedWriteAttributesOption

  which attributes are allowed to be exposed

Constructor Detail

### MBeanProvider

    public MBeanProvider()

  Constructor MBeanProvider

Method Detail

### initServiceDesc

    public void initServiceDesc(org.apache.axis.handlers.soap.SOAPService service,
                                org.apache.axis.MessageContext msgCtx)
                         throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### forName

    protected Class forName(String string,
                            ClassLoader loader)
                     throws ClassNotFoundException

  resolve string-based jmx types

  Throws:
    `ClassNotFoundException`

### forName

    protected javax.xml.namespace.QName forName(Class clazz,
                                                org.apache.axis.encoding.TypeMapping tm)
                                         throws ClassNotFoundException

  resolve string-based jmx types

  Throws:
    `ClassNotFoundException`

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Invoke is called to do the actual work of the Handler object.

  Throws:
    `org.apache.axis.AxisFault`

### generateWSDL

    public void generateWSDL(org.apache.axis.MessageContext msgCtx)
                      throws org.apache.axis.AxisFault

  generate wsdl document from meta-data

  Throws:
    `org.apache.axis.AxisFault`

### undo

    public void undo(org.apache.axis.MessageContext msgContext)

  TODO called when a fault occurs to 'undo' whatever 'invoke' did.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.